List workflow runs for a me
GET
/v1/me/workflow-runscurl -X GET 'https://api.embodiflow.io/v1/me/workflow-runs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Query parameters
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- statusstring
- projectIdstring (uuid)
- definitionIdstring (uuid)
- triggerstring
- createdAfterstring
- createdBeforestring
Responses
Success
- dataarray<TeamWorkflowRunDto>required
- idstringrequired
- projectIdstring | nullrequired
- projectobject | nullrequired
- statusstringrequired
- modestringrequired
- triggerstring | nullrequired
- runGroupIdstring | nullrequired
- recordingCountnumberrequired
- workflowNamestring | nullrequired
- failedStepIdstring | nullrequired
- errorCodestring | nullrequired
- failureobjectrequired
- createdAtstringrequired
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobjectrequired
- pageSizenumberrequired
- totalCountnumber
- truncatedone of
- requestIdstring
Response example
{
"data": [
{
"id": "string",
"projectId": "string",
"project": {
"id": "string",
"slug": "string",
"name": "string"
},
"status": "string",
"mode": "string",
"trigger": "string",
"runGroupId": "string",
"recordingCount": 0,
"workflowName": "string",
"failedStepId": "string",
"errorCode": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepAlgorithm": {
"slug": "string",
"title": "string",
"official": false
},
"stepRunId": "string",
"runId": "string",
"stepErrorCode": "string"
},
"createdAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1